Bug 803069 - Missing Requires: httpd-mmn
Missing Requires: httpd-mmn
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mod_dnssd (Show other bugs)
17
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 803056
  Show dependency treegraph
 
Reported: 2012-03-13 17:19 EDT by Joe Orton
Modified: 2012-05-04 19:05 EDT (History)
1 user (show)

See Also:
Fixed In Version: mod_dnssd-0.6-6.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-04 19:05:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2012-03-13 17:19:36 EDT
Description:
The package mod_dnssd contains the httpd module:

   /usr/lib64/httpd/modules/mod_dnssd.so

but does not have an appropriate "Requires:" for httpd-mmn.  Such a
dependency is necessary to ensure the module is only used with a
compatible version of httpd; a module built against httpd 2.2 will not
work with httpd 2.4.

Please add the following to the top of the spec file as a single line:

%{!?_httpd_mmn: %{expand: %%global _httpd_mmn %%(cat %{_includedir}/httpd/.mmn || echo missing-httpd-devel)}}

Then add to the the mod_dnssd (sub-)package the following Requires
line:

Requires: httpd-mmn = %{_httpd_mmn}

A module package does not need to require httpd itself.  The above
change should be merged across all branches of Fedora/EPEL.

Version-Release:
mod_dnssd-0.6-5.fc17.src.rpm

Steps to reproduce:
1. rpm -q --requires mod_dnssd | grep httpd-mmn

Expected results:
e.g. httpd-mmn = 20051115-x86-64
Comment 3 Fedora Update System 2012-05-02 09:25:26 EDT
mod_dnssd-0.6-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mod_dnssd-0.6-6.fc17
Comment 4 Fedora Update System 2012-05-02 16:34:01 EDT
Package mod_dnssd-0.6-6.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mod_dnssd-0.6-6.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-7100/mod_dnssd-0.6-6.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-05-04 19:05:24 EDT
mod_dnssd-0.6-6.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.